Package fr.gouv.vitam.common.model.logbook

# Class LogbookOperation

java.lang.Object
fr.gouv.vitam.common.model.logbook.LogbookEvent
fr.gouv.vitam.common.model.logbook.LogbookEventOperation
fr.gouv.vitam.common.model.logbook.LogbookOperation

public class LogbookOperation extends LogbookEventOperation
Logbook operation model

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `EVENTS`
  Events tag
  `static final String`
  `HASH`
  Hash Tag
  `static final String`
  `TAG_ID`
  ID Tag
  `static final String`
  `TAG_LP_DATE`
  Last Persistent Date
  `static final String`
  `TAG_TENANT`
  Tenant Tag
  `static final String`
  `UNDERSCORE`
  Underscore tag

  ### Fields inherited from class fr.gouv.vitam.common.model.logbook.LogbookEvent

  `AG_ID, EV_DATE_TIME, EV_DET_DATA, EV_ID, EV_ID_PROC, EV_PARENT_ID, EV_TYPE, EV_TYPE_PROC, LAST_PERSISTED_DATE, OB_ID, OUT_DETAIL, OUT_MESSG, OUTCOME, RIGHTS_STATEMENT_IDENTIFIER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogbookOperation()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static LogbookOperation`
  `emptyWithEvDetData(String evDetData)`
  `boolean`
  `equals(Object o)`
  `String`
  `getAgIdApp()`
  `List<LogbookEventOperation>`
  `getEvents()`
  `String`
  `getEvIdAppSession()`
  `String`
  `getId()`
  `String`
  `getLastPersistentDate()`
  `Integer`
  `getTenant()`
  `int`
  `hashCode()`
  `void`
  `setAgIdApp(String agIdApp)`
  `void`
  `setEvents(List<LogbookEventOperation> events)`
  `void`
  `setEvIdAppSession(String evIdAppSession)`
  `void`
  `setId(String id)`
  `void`
  `setLastPersistentDate(String lastPersistentDate)`
  `void`
  `setTenant(Integer tenant)`

  ### Methods inherited from class fr.gouv.vitam.common.model.logbook.LogbookEventOperation

  `getAgIdExt, getEvIdReq, getObIdIn, getObIdReq, setAgIdExt, setEvIdReq, setObIdIn, setObIdReq`

  ### Methods inherited from class fr.gouv.vitam.common.model.logbook.LogbookEvent

  `getAgId, getEvDateTime, getEvDetData, getEvId, getEvIdProc, getEvParentId, getEvType, getEvTypeProc, getLastPersistedDate, getObId, getOutcome, getOutDetail, getOutMessg, getRightsStatementIdentifier, setAgId, setEvDateTime, setEvDetData, setEvId, setEvIdProc, setEvParentId, setEvType, setEvTypeProc, setLastPersistedDate, setObId, setOutcome, setOutDetail, setOutMessg, setRightsStatementIdentifier`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TAG_ID

    public static final String TAG_ID
    ID Tag
    See Also:
      - Constant Field Values

  - ### TAG_TENANT

    public static final String TAG_TENANT
    Tenant Tag
    See Also:
      - Constant Field Values

  - ### TAG_LP_DATE

    public static final String TAG_LP_DATE
    Last Persistent Date
    See Also:
      - Constant Field Values

  - ### HASH

    public static final String HASH
    Hash Tag
    See Also:
      - Constant Field Values

  - ### UNDERSCORE

    public static final String UNDERSCORE
    Underscore tag
    See Also:
      - Constant Field Values

  - ### EVENTS

    public static final String EVENTS
    Events tag
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LogbookOperation

    public LogbookOperation()

- ## Method Details

  - ### emptyWithEvDetData

    public static LogbookOperation emptyWithEvDetData(String evDetData)

  - ### getId

    public String getId()
    Returns:
      the id

  - ### setId

    public void setId(String id)
    Parameters:
      `id` - the id to set

  - ### getTenant

    public Integer getTenant()
    Returns:
      the tenant

  - ### setTenant

    public void setTenant(Integer tenant)
    Parameters:
      `tenant` - the tenant to set

  - ### getEvents

    public List<LogbookEventOperation> getEvents()
    Returns:
      the events

  - ### setEvents

    public void setEvents(List<LogbookEventOperation> events)
    Parameters:
      `events` - the events to set

  - ### getAgIdApp

    public String getAgIdApp()
    Returns:
      the agIdApp

  - ### setAgIdApp

    public void setAgIdApp(String agIdApp)
    Parameters:
      `agIdApp` - the agIdApp to set

  - ### getEvIdAppSession

    public String getEvIdAppSession()
    Returns:
      the evIdAppSession

  - ### setEvIdAppSession

    public void setEvIdAppSession(String evIdAppSession)
    Parameters:
      `evIdAppSession` - the evIdAppSession to set

  - ### getLastPersistentDate

    public String getLastPersistentDate()

  - ### setLastPersistentDate

    public void setLastPersistentDate(String lastPersistentDate)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `LogbookEventOperation`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `LogbookEventOperation`